org.richfaces.fragment.fileUpload

## Class RichFacesFileUpload.FileUploadItemImpl

- java.lang.Object
- - org.richfaces.fragment.list.RichFacesListItem
  - - org.richfaces.fragment.fileUpload.RichFacesFileUpload.FileUploadItemImpl

- All Implemented Interfaces:
    FileUploadItem, ListItem
  Enclosing class:
    RichFacesFileUpload

      public class RichFacesFileUpload.FileUploadItemImpl
      extends RichFacesListItem
      implements FileUploadItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesFileUpload.FileUploadItemImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getClearOrDeleteElement()` Clears/deletes the log of already uploaded/to be uploaded file from the list of the files of the already uploaded files/to be uploaded files.
    `String` | `getFilename()` Gets the name of the this file.
    `org.openqa.selenium.WebElement` | `getFilenameElement()`
    `String` | `getState()`
    `org.openqa.selenium.WebElement` | `getStateElement()`
    `boolean` | `isUploaded()` Finds out whether this item representing a file is already uploaded.
    `void` | `remove()`

    - ### Methods inherited from class org.richfaces.fragment.list.RichFacesListItem

      `getRootElement, getText, isVisible, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.list.ListItem

      `getRootElement, getText`

- - ### Constructor Detail

    - #### RichFacesFileUpload.FileUploadItemImpl

          public RichFacesFileUpload.FileUploadItemImpl()

  - ### Method Detail

    - #### getClearOrDeleteElement

          public org.openqa.selenium.WebElement getClearOrDeleteElement()

      Description copied from interface: `FileUploadItem`
      Clears/deletes the log of already uploaded/to be uploaded file from the list of the files of the already uploaded files/to be uploaded files.
      Specified by:
        `getClearOrDeleteElement` in interface `FileUploadItem`
      Returns:

    - #### getFilename

          public String getFilename()

      Description copied from interface: `FileUploadItem`
      Gets the name of the this file.
      Specified by:
        `getFilename` in interface `FileUploadItem`
      Returns:
        file name

    - #### getFilenameElement

          public org.openqa.selenium.WebElement getFilenameElement()

      Specified by:
        `getFilenameElement` in interface `FileUploadItem`

    - #### getState

          public String getState()

      Specified by:
        `getState` in interface `FileUploadItem`

    - #### getStateElement

          public org.openqa.selenium.WebElement getStateElement()

      Specified by:
        `getStateElement` in interface `FileUploadItem`

    - #### isUploaded

          public boolean isUploaded()

      Description copied from interface: `FileUploadItem`
      Finds out whether this item representing a file is already uploaded.
      Specified by:
        `isUploaded` in interface `FileUploadItem`
      Returns:
        `true` if this file item is already uploaded, `false` otherwise

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `FileUploadItem`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.